LOWDOWN_DOC_NEW(3)

NAME
lowdown_doc_new - allocate a Markdown parser

LIBRARY
liblowdown

SYNOPSIS
#include <sys/queue.h>
#include <stdio.h>
#include <lowdown.h>
hdoc *
lowdown_doc_new(const struct lowdown_opts *opts);

DESCRIPTION
The lowdown_doc_new function allocates a Markdown parser instance with configuration opts. It must be freed with a call to lowdown_doc_free(3). The returned pointer may be used with multiple invocations of lowdown_doc_parse(3).

RETURN VALUES
Always returns a valid pointer.

SEE ALSO
lowdown(3)